# Method: documents.analyzeSentiment

- [HTTP request](https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/documents/analyzeSentiment#body.HTTP_TEMPLATE)
- [Request body](https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/documents/analyzeSentiment#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/documents/analyzeSentiment#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/documents/analyzeSentiment#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/documents/analyzeSentiment#body.AnalyzeSentimentResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/documents/analyzeSentiment#body.aspect)
- [Try it!](https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/documents/analyzeSentiment#try-it)

Analyzes the sentiment of the provided text.

### HTTP request

`POST https://language.googleapis.com/v1beta2/documents:analyzeSentiment`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "document": { object (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/documents#Document`) }, "encodingType": enum (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/EncodingType`) } ``` |

| Fields ||
|---|---|
| `document` | ``object (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/documents#Document`)`` Required. Input document. |
| `encodingType` | ``enum (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/EncodingType`)`` The encoding type used by the API to calculate sentence offsets for the sentence sentiment. |

### Response body

The sentiment analysis response message.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "documentSentiment": { object (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/Sentiment`) }, "language": string, "sentences": [ { object (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/Sentence`) } ] } ``` |

| Fields ||
|---|---|
| `documentSentiment` | ``object (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/Sentiment`)`` The overall sentiment of the input document. |
| `language` | `string` The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See `https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/documents#Document.FIELDS.language` field for more details. |
| `sentences[]` | ``object (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v1beta2/Sentence`)`` The sentiment for all the sentences in the document. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-language`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).